Bug 855890 - RESTAPI: Direct LUN in rest-api requires size
RESTAPI: Direct LUN in rest-api requires size
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Ori Liel
Jakub Libosvar
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 10:30 EDT by Jakub Libosvar
Modified: 2016-02-10 11:35 EST (History)
9 users (show)

See Also:
Fixed In Version: si21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Libosvar 2012-09-10 10:30:19 EDT
Description of problem:
I use this for creating direct lun
url:https://jl-rhevm31.rhev.lab.eng.brq.redhat.com/api/disks 
body:<disk>
    <name>direct_lun</name>
    <interface>virtio</interface>
    <format>cow</format>
    <lunStorage>
        <logical_unit id="36006048c12952607a6254682d950135a">
            <address>10.34.63.200</address>
            <port>3260</port>
            <target>iqn.1992-05.com.emc:ckm001201002300000-5-vnxe</target>
        </logical_unit>
    </lunStorage>
</disk>

which I think should have sufficient information for creating a direct lun. But it fails with 
<fault>
    <reason>Incomplete parameters</reason>
    <detail>Disk [provisionedSize|size] required for add</detail>
</fault>

From rsdl:
<parameter required="true" type="xs:int">
<name>provisioned_size</name>
</parameter>

Version-Release number of selected component (if applicable):
rhevm-restapi-3.1.0-15.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create direct lun without specifying size
  
Actual results:
Fails

Expected results:
Succeeds

Additional info:
I think the size should be taken from LUN itself and cannot be even overridden.
Comment 3 Ori Liel 2012-10-09 05:55:23 EDT
patch posted upstream: 
  http://gerrit.ovirt.org/#/c/8331/

patch merged upstream: 
  commit 8dcbf3056127a98289fc168c45ae5a02d3dc882d

patch posted downstream: 
  https://gerrit.eng.lab.tlv.redhat.com/#/c/2502/
Comment 4 Ori Liel 2012-10-15 09:52:32 EDT
patch reposted downstream: 
  https://gerrit.eng.lab.tlv.redhat.com/#/c/2632/

patch merged downstream: 
  commit 621006f266a831cd7af96d77df19b674f0c59a3
Comment 5 Jakub Libosvar 2012-10-22 03:57:17 EDT
Verified rhevm-3.1.0-21.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.